Subscribe

Upgrading DFM from 3.7 / 3.7.1 to 3.8.1 ... scripting concerns and DSN?

Hello everyone ...

I have captured notes from the NOW site release software page and the PDF docs available in the installation and upgrade guide.

I did not see any messages on scripts ( my customer is using some scripts in their environment ) and i want to make sure that upgrading three of their OM servers ( running 3.7 and 3.7.1 ) will be okay to proceed with?

Speaking of upgrades ... I do not know anything about "(Data Source Name DSN) entry for Adaptive Server Anywhere 9.0" ... this was an upgrade gotcha; what exactly is this?

NetApp text - "If you are upgrading from DataFabric Manager 3.7 or earlier to DataFabric Manager 3.8, you must delete the existing Data Source Name DSN) entry for Adaptive Server Anywhere 9.0 driver, and create a new DSN entry for SQL Anywhere 10."

Is that a DFM application or server host element i need to modify.

Thanks, Emanuel.

Re: Upgrading DFM from 3.7 / 3.7.1 to 3.8.1 ... scripting concerns and DSN?

I did not see any messages on scripts ( my customer is using some scripts in their environment ) and i want to make sure that upgrading three of their OM servers ( running 3.7 and 3.7.1 ) will be okay to proceed with?

Are you talking about Script plugins ? If so they are taken care of in upgrades.

Or is it about scripts that are using CLI you are taking about ? , then all dfm cli changes are backward compatible.

Speaking of upgrades ... I do not know anything about "(Data Source Name DSN) entry for Adaptive Server Anywhere 9.0" ... this was an upgrade gotcha; what exactly is this?

NetApp text - "If you are upgrading from DataFabric Manager 3.7 or earlier to DataFabric Manager 3.8, you must delete the existing Data Source Name DSN) entry for Adaptive Server Anywhere 9.0 driver, and create a new DSN entry for SQL Anywhere 10."

Is that a DFM application or server host element i need to modify.

This is basically the JDBC/ODBC connection made to the dfm database view to access the dfm history data, using third party reporting engines like crystal reports.

Regards

adai

Re: Upgrading DFM from 3.7 / 3.7.1 to 3.8.1 ... scripting concerns and DSN?

They are using their own scripts, not sure about the details and it could be related to another thread I have started eailer - I will meet with them tomorrow to recap our deployment discussions.

Here is the thread - COMMUNITY THREAD - http://communities.netapp.com/message/23743#23743

Re: Upgrading DFM from 3.7 / 3.7.1 to 3.8.1 ... scripting concerns and DSN?

adaikkap wrote:

I did not see any messages on scripts ( my customer is using some scripts in their environment ) and i want to make sure that upgrading three of their OM servers ( running 3.7 and 3.7.1 ) will be okay to proceed with?

Are you talking about Script plugins ? If so they are taken care of in upgrades.

Or is it about scripts that are using CLI you are taking about ? , then all dfm cli changes are backward compatible.

Speaking of upgrades ... I do not know anything about "(Data Source Name DSN) entry for Adaptive Server Anywhere 9.0" ... this was an upgrade gotcha; what exactly is this?

NetApp text - "If you are upgrading from DataFabric Manager 3.7 or earlier to DataFabric Manager 3.8, you must delete the existing Data Source Name DSN) entry for Adaptive Server Anywhere 9.0 driver, and create a new DSN entry for SQL Anywhere 10."

Is that a DFM application or server host element i need to modify.

This is basically the JDBC/ODBC connection made to the dfm database view to access the dfm history data, using third party reporting engines like crystal reports.

Regards

adai

Hi, do you know if there is already a setup document for configuring the new ODBC connection using the new driver for OM 3.8. Thanks.

Robinson.  

Re: Upgrading DFM from 3.7 / 3.7.1 to 3.8.1 ... scripting concerns and DSN?

Hi Robinson,

     For documentation, please look at the Technical Report "Access to DataFabric Manager and Performance Advisor Data Using Database Access and Data Export" at the below link.

http://media.netapp.com/documents/tr-3690.pdf

In the TR, you can look at Section 3.5 - Case A:
Case A: Storage administrator wants to access directly the DataFabric Manager database views from third-party reporting tools such as Crystal Report to generate customized storage capacity reports.

If trying to setup a DSN from a windows system other than the Operations Manager server system, the ODBC driver files need to be copied to the server from OM server.

On 3.7/3.7.1, the following three files copied from "<dfm-install-dir>\Sybase\ASA\win32"

dbodbc9.dll
dblgen9.dll
dbcon9.dll

Follow the instructions in these two pages:

On 3.8/3.8.1, the following three files copied from "<dfm-install-dir>\Sybase\ASA\win32"

dbodbc10.dll
dblgen10.dll
dbcon10.dll

Follow the instructions in these two pages:

Then configure the DSN using the installed driver.

The documentation above will give you directions for the ASA driver.

Regards

adai

Re: Upgrading DFM from 3.7 / 3.7.1 to 3.8.1 ... scripting concerns and DSN?

I'm sitting on a DFM 4.0 system (recently upgraded form 3.8) and those files are not in the "<dfm-install-dir>\Sybase\ASA\win32" path. I'm having a hard time guessing what to download and install from sybase. There isn't even a /Sybase directory anywhere here.

Re: Upgrading DFM from 3.7 / 3.7.1 to 3.8.1 ... scripting concerns and DSN?

What is your DFM OS flavor.

Is it linux or windows did you look at the TR mentioned in the other replies to this post ?

regards

adai

Re: Upgrading DFM from 3.7 / 3.7.1 to 3.8.1 ... scripting concerns and DSN?

Yes. My DFM server is running on Linux. I am following TR-3690 Section 3.5 Case A.

My intention is to run MS Accesson WinXP accessing the DFM database via the ASA DSN plugin that I install in WinXP.

Where can I find the ASA DSN plugin? I do not find it anywhere among the lunix isntallation files.